<?php

SESSION_START();

require_once ("../../config/Cado.php");

require_once("../producto/cProductomarca.php");
$oProductomarca = new cProductomarca();

require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once ("../historial/cHistorial.php");
$oHistorial = new cHistorial();

require_once("../formatos/formato.php");

if($_POST['action']=="actualizar_precio_panel")
{
	
	$dts=$oCatalogo->mostrarUno($_POST['cat_id'],$_POST['mar_id']);
		$dt = mysqli_fetch_array($dts);
		$emp_fac=$dt['tb_empaque_fac'];
		mysqli_free_result($dts);
		
		$prevenf = $_POST['cat_prevenf'];
		
		$precosuni = $_POST['cat_precos'] / $emp_fac;
		
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'precos',moneda_mysql($precosuni));
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'preven',moneda_mysql($_POST['cat_preven']));
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'prevenf',moneda_mysql($prevenf));
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'codbar',$_POST['cat_codbar']);
	
	
	
		$user_agen = $_SERVER['HTTP_USER_AGENT'];;
		$mod = 22;
		$mod_ide = 0;
		$det = 'GESTION DE PRECIOS :: ACTUALIZADO [PRE. COSTO | '.$_POST['cat_precos'].'] [PRE. VENTA | '.$_POST['cat_preven'].'] [COD. BAR. | '.$_POST['cat_codbar'].']';
		$fec = date('Y-m-d');
		$doc_id = 0;
		$numdoc = '';
		$ip = mostrar_ip();
	 	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		$doc_id,
		$numdoc
		);
	
	
	
	
	echo "Ok";
}

?>